SkyCaddie SG2.5

Discussion in 'macOS' started by ktowe, Aug 14, 2009.

  1. ktowe macrumors newbie

    Joined:
    Oct 16, 2008
    #1
    I am planning on buying a SkyCaddie SG2.5 golf GPS and wondering that it's Mac compatible.
     
  2. mel3308 macrumors newbie

    Joined:
    Jan 7, 2009
    #2
    I have just purchased the SG5 and have been unable to sync with my MAC on speaking to SKY CADDIE support it appears that they are compatible with mac up to Leopard OS however the new SNOW LEOPARD does not function with my SG5. Sky Caddie have said that a fix will be available very soon.
     
  3. calitess macrumors newbie

    Joined:
    Jun 17, 2010
    #3
    Sky Caddie SG5 Sync Issue Resolved?

    Did you ever resolve the sync issue for the Sky Caddie SG5? I have recently purchased and can not get it to sync. I have been talked with SC tech support a few times, they claim it's compatible with Mac OS X 10.5.8.

    Thanks for any info!
     

Share This Page